Subject: Re: bug#73325: 29.3; Compilation error of psgml-1.3.5 on GNU ELPA

From: Philip Kaludercic <[email-masked]>
Date: Tue, 24 Sep 2024 10:37:11 +0000

Lin Jian <[email-masked]> writes:

> Compilation error:
>
> ...
> sgmldecl/fum.el:216:2: Error: Cannot open load file: No such file or
> directory, fum
> ...
> Error: file-missing
> ("/nix/store/hash-emacs-psgml-1.3.5/share/emacs/site-lisp/elpa/psgml-1.3.5/sgmldecl/fum.el"
> "Cannot open load file" "No such file or directory" "fum")
> ...
>
>
> Full log: https://hydra.nixos.org/build/271291118/nixlog/1
>
> README of GNU ELPA says:
>> ... [email-masked], since that's where people will report bugs
>> about your package.
>
> I hope this is the right place to report this.

It seems that there is no remote mirror right now, so this is the right
place to report it.

There is no issue when building the package,

$ make build/psgml
emacs --batch -Q -l admin/elpa-admin.el \
         -f elpaa-batch-pkg-spec-make-dependencies .pkg-descs.mk
emacs --batch -l /home/phi/Source/elpa/admin/elpa-admin.el	\
         -f elpaa-batch-make-one-package psgml
======== Building tarball archive-devel/psgml-1.3.5.0.20221229.184738.tar...
######## Built new package archive-devel/psgml-1.3.5.0.20221229.184738.tar!
======== Building tarball archive/psgml-1.3.5.tar...
######## Built new package archive/psgml-1.3.5.tar!

but a compilation error does occur on installing the package:

Compiling file /home/phi/.config/emacs/elpa/psgml-1.3.5/sgmldecl/fum.el at Tue Sep 24 12:32:10 2024
Entering directory ‘/home/phi/.config/emacs/elpa/psgml-1.3.5/sgmldecl/’
fum.el:216:2: Error: Cannot open load file: No such file or directory, fum
Leaving directory ‘/home/phi/.config/emacs/elpa/psgml-1.3.5/sgmldecl/’

I cannot claim to understand what is happening from a quick glance, and
I also don't know if fum.el should be distributed by default... The
simplest solution would be to disable byte-compilation for that file,
but we should probably wait for someone who knows what is going on to
give their opinion on what is to be done.

-- 
	Philip Kaludercic on siskin